petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSFSetGraph

Set a parallel star forest

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFSetGraph(PetscSF sf,PetscInt nroots,PetscInt nleaves,const PetscInt *ilocal,PetscCopyMode localmode,const PetscSFNode *iremote,PetscCopyMode remotemode)

Collective

### Input Arguments

| sf | - star forest
| nroots | - number of root vertices on the current process (these are possible targets for other process to attach leaves)
| nleaves | - number of leaf vertices on the current process, each of these references a root on any process
| ilocal | - locations of leaves in leafdata buffers, pass NULL for contiguous storage
| localmode | - copy mode for ilocal
| iremote | - remote locations of root vertices for each leaf on the current process
| remotemode | - copy mode for iremote

### See Also

PetscSFCreate(), PetscSFView(), PetscSFGetGraph()

Level:intermediate
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex11.c.html